#include <gnome.h>

#ifndef CALLBACKS_H
#define CALLBACKS_H

// declarations ///////////////////////////////////////////////////////////////
//
extern "C"
{
void		
drinkingGame						   	(GtkButton       *button,
                                       	gpointer         user_data);
										
void
penalty_tracker							(int n_player_index,
										 char * sz_penalty);
										
void
sound_play								(char * sz_path);

gboolean
on_timer1 								(gpointer data);

gboolean
on_timer2 								(gpointer data);

void
mini_game								(void);

void
group_game								(void);

void
on_letsGo_click                        (GtkButton       *button,
                                        gpointer         user_data);

void
on_window1_destroy                     (GtkObject       *object,
                                        gpointer         user_data);

void
on_rollBtn_clicked                     (GtkButton       *button,
                                        gpointer         user_data);

void
on_sound_on_radiobutton_toggled        (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

void
on_sound_off_radiobutton_toggled       (GtkToggleButton *togglebutton,
                                        gpointer         user_data);
										
void
drinking_game_init                     (GtkWidget       *widget,
                                        gpointer         user_data);

void
on_button_coin_start_clicked           (GtkButton       *button,
                                        gpointer         user_data);

void
on_button_horse_start_clicked          (GtkButton       *button,
                                        gpointer         user_data);

void
on_button_cards_play_clicked           (GtkButton       *button,
                                        gpointer         user_data);

void
on_combo_entry1_changed                (GtkEditable     *editable,
                                        gpointer         user_data);
}

#endif	// end CALLBACKS_H
