/* Created by Anjuta version 1.0.2 */
/*	This file will not be overwritten */

// includes ///////////////////////////////////////////////////////////////////
//
#include <iostream>
#include <gtk/gtk.h>
#include <gnome.h>
#include <glade/glade.h>
#include "config.h"
#include "../include/callbacks.h"

// globals ////////////////////////////////////////////////////////////////////
//
GladeXML 			* xml;						// pointer for xml interface loading

// definitions ////////////////////////////////////////////////////////////////
//
int main(gint argc, gchar **argv)
{
	GtkWidget				* p_widget;
	char					sz_xml_path[100];
	
	// initialize all the libraries
    gnome_init(PACKAGE, VERSION, argc, argv);
  	gtk_init(&argc, &argv);
	glade_init();
	
	// create ui location string
	snprintf(sz_xml_path, 100, "%s/gbeermatic.glade", PACKAGE_PIXMAPS_DIR);
	
	// load the interface
    xml = glade_xml_new(sz_xml_path, NULL, NULL);
    // connect the signals in the interface
    glade_xml_signal_autoconnect(xml);
	
	drinking_game_init(NULL, NULL);
	
	// start gtk main
  	gtk_main();

	return (0);
}
